Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1662130 - [abrt] gnome-software: as_app_add_token(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: as_app_add_token(): gnome-software killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f18cc27a2663e4dcf930cc7d546...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-26 10:25 UTC by Peter
Modified: 2019-01-01 02:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-01 02:55:37 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (85.77 KB, text/plain)
2018-12-26 10:25 UTC, Peter
no flags Details
File: cgroup (195 bytes, text/plain)
2018-12-26 10:25 UTC, Peter
no flags Details
File: core_backtrace (44.14 KB, text/plain)
2018-12-26 10:25 UTC, Peter
no flags Details
File: cpuinfo (1.66 KB, text/plain)
2018-12-26 10:25 UTC, Peter
no flags Details
File: dso_list (16.29 KB, text/plain)
2018-12-26 10:25 UTC, Peter
no flags Details
File: environ (3.69 KB, text/plain)
2018-12-26 10:25 UTC, Peter
no flags Details
File: exploitable (100 bytes, text/plain)
2018-12-26 10:25 UTC, Peter
no flags Details
File: limits (1.29 KB, text/plain)
2018-12-26 10:25 UTC, Peter
no flags Details
File: maps (101.25 KB, text/plain)
2018-12-26 10:25 UTC, Peter
no flags Details
File: mountinfo (4.19 KB, text/plain)
2018-12-26 10:25 UTC, Peter
no flags Details
File: open_fds (5.07 KB, text/plain)
2018-12-26 10:25 UTC, Peter
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2018-12-26 10:25 UTC, Peter
no flags Details
File: var_log_messages (1.24 KB, text/plain)
2018-12-26 10:25 UTC, Peter
no flags Details

Description Peter 2018-12-26 10:25:13 UTC
Version-Release number of selected component:
gnome-software-3.30.6-1.fc29

Additional info:
reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: as_app_add_token
executable:     /usr/bin/gnome-software
journald_cursor: s=0a1f1a7a1ae54aa8967643ce25088c5b;i=a02;b=75afcaa5cd1a43c4a09a59dadf40e047;m=371e6f9;t=57de6ce729718;x=de6d486f0668da2f
kernel:         4.19.10-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 as_app_add_token at ../libappstream-glib/as-app.c:5975
 #1 as_app_create_token_cache_target at ../libappstream-glib/as-app.c:5975
 #2 as_app_create_token_cache at ../libappstream-glib/as-app.c:5999
 #3 as_app_search_matches at ../libappstream-glib/as-app.c:6029
 #5 g_thread_proxy at gthread.c:784

Comment 1 Peter 2018-12-26 10:25:16 UTC
Created attachment 1516802 [details]
File: backtrace

Comment 2 Peter 2018-12-26 10:25:17 UTC
Created attachment 1516803 [details]
File: cgroup

Comment 3 Peter 2018-12-26 10:25:19 UTC
Created attachment 1516804 [details]
File: core_backtrace

Comment 4 Peter 2018-12-26 10:25:20 UTC
Created attachment 1516805 [details]
File: cpuinfo

Comment 5 Peter 2018-12-26 10:25:26 UTC
Created attachment 1516806 [details]
File: dso_list

Comment 6 Peter 2018-12-26 10:25:28 UTC
Created attachment 1516807 [details]
File: environ

Comment 7 Peter 2018-12-26 10:25:29 UTC
Created attachment 1516808 [details]
File: exploitable

Comment 8 Peter 2018-12-26 10:25:30 UTC
Created attachment 1516809 [details]
File: limits

Comment 9 Peter 2018-12-26 10:25:32 UTC
Created attachment 1516810 [details]
File: maps

Comment 10 Peter 2018-12-26 10:25:33 UTC
Created attachment 1516811 [details]
File: mountinfo

Comment 11 Peter 2018-12-26 10:25:34 UTC
Created attachment 1516812 [details]
File: open_fds

Comment 12 Peter 2018-12-26 10:25:35 UTC
Created attachment 1516813 [details]
File: proc_pid_status

Comment 13 Peter 2018-12-26 10:25:36 UTC
Created attachment 1516814 [details]
File: var_log_messages

Comment 14 Fedora Update System 2018-12-28 13:25:18 UTC
libappstream-glib-0.7.14-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-69c68f1385

Comment 15 Fedora Update System 2018-12-29 03:08:43 UTC
libappstream-glib-0.7.14-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-69c68f1385

Comment 16 Fedora Update System 2019-01-01 02:55:37 UTC
libappstream-glib-0.7.14-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.